/*
 * SPDX-FileCopyrightText: 2018-2021 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <gtk/gtk.h>

#include "rugby-possibility.h"

G_BEGIN_DECLS

#define RUGBY_TYPE_POSSIBILITY_ROW (rugby_possibility_row_get_type())

G_DECLARE_FINAL_TYPE (RugbyPossibilityRow, rugby_possibility_row, RUGBY, POSSIBILITY_ROW, GtkListBoxRow)

GtkWidget * rugby_possibility_row_new (RugbyPossibility *possibility);

G_END_DECLS
